<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
    <title>Grid</title>
  </head>
  <body>
    <style >
      .boxy{
        background: #b3ddff;
        border: 2px solid black;
      }
    </style>
    <div class="container">
      <div class="row">
        <div class="col-lg-4 boxy">COL LG 4</div>
        <div class="col-lg-4 boxy">COL LG 4</div>
        <div class="col-lg-4 boxy">COL LG 4</div>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-md-6 boxy">COL MD 6</div>
        <div class="col-md-6 boxy">COL MD 6</div>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col boxy">COL XS</div>
        <div class="col boxy">COL XS</div>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-lg-3 col-sm-6 boxy">One</div>
        <div class="col-lg-3 col-sm-6 boxy">Two</div>
        <div class="col-lg-3 col-sm-6 boxy">Three</div>
        <div class="col-lg-3 col-sm-6 boxy">Four</div>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-6 boxy">
        <div class="row">
          <div class="col-lg-6 boxy">NEST 1</div>
          <div class="col-lg-6 boxy">NEST 2</div>
        </div>
      </div>
      <div class="col-lg-6 boxy">TOP LEVEL</div>
    </div>
  </body>
</html>
